Replace Storage Profile
Replace storage profile with a given id
The ID of the storage profile.
The version of the API in yyyy-MM-dd format (UTC). For versioning information refer to /iaas/api/about
StorageProfileSpecification
Show optional properties
{
"name": "string",
"defaultItem": false,
"regionId": "31186"
}
{
"name": "string",
"description": "string",
"defaultItem": false,
"supportsEncryption": false,
"tags": [
{
"key": "tier",
"value": "silver"
}
],
"diskProperties": {
"diskProperties": "{ \"diskProperties\": {\n \"provisioningType\": \"thin\",\n \"limitIops\": \"500\"\n \"diskType\": \"firstClass\"\n } }"
},
"diskTargetProperties": {
"diskTargetProperties": "{ \"diskTargetProperties\": {\n \"storagePolicyId\": \"7fhfj9f\",\n \"datastoreId\": \"638nfjd8\",\n } }"
},
"regionId": "31186",
"priority": 2,
"storageFilterType": "MANUAL",
"tagsToMatch": [
{
"key": "tag1",
"value": "value1"
}
],
"computeHostId": "8c4ba7aa-3520-344d-b118-4a2108aaabb8",
"storageProfileAssociations": [
{
"requestType": "CREATE",
"associations": [
{
"dataStoreId": "a42d016e-6b0e-4265-9881-692e90b76684",
"priority": "3"
}
]
}
]
}
A human-friendly name used as an identifier in APIs that support this option.
A human-friendly description.
Indicates if a storage class is the default one.
Indicates whether this storage class supports encryption or not.
A list of tags that represent the capabilities of this storage class
Map of storage properties that are to be applied on disk while provisioning.
Map of storage placements to know where the disk is provisioned. 'datastoreId' is deprecated, instead use 'storageProfileAssociations' parameter to associate datastores with the storage class.
The Id of the region that is associated with the storage class.
Defines the priority of the storage class with the highest priority being 0. Defaults to the value of 1.
Defines filter type for adding storage objects (datastores) to the storage class. Defaults to INCLUDE_ALL. For INCLUDE_ALL and TAG_BASED all the valid Data stores will be associated with the priority 1.
A set of tag keys and optional values to be set on datastores to be included in this storage class based on the storageFilterType: TAG_BASED.
The compute host Id to be associated with the storage class.
Defines a specification of Storage Class datastore associations.
Successful operation
{
"id": "9.0E49",
"createdAt": "2012-09-27",
"updatedAt": "2012-09-27",
"owner": "[email protected]",
"ownerType": "ad_group",
"orgId": "42413b31-1716-477e-9a88-9dc1c3cb1cdf",
"_links": {
"empty": false
},
"name": "my-name",
"description": "my-description",
"defaultItem": false,
"supportsEncryption": false,
"tags": [
{
"key": "tier",
"value": "silver"
}
],
"diskProperties": {
"diskProperties": {
"provisioningType": "thin",
"limitIops": "500",
"diskType": "firstClass"
}
},
"externalRegionId": "us-east-1",
"cloudAccountId": "[9.0E49]",
"priority": 2,
"storageFilterType": "MANUAL",
"computeHostId": "8c4ba7aa-3520-344d-b118-4a2108aaabb8",
"tagsToMatch": [
{
"key": "tag1",
"value": "value1"
}
]
}
The id of this resource instance
Date when the entity was created. The date is in ISO 8601 and UTC.
Date when the entity was last updated. The date is ISO 8601 and UTC.
Email of the user or display name of the group that owns the entity.
Type of a owner(user/ad_group) that owns the entity.
The id of the organization this entity belongs to.
HATEOAS of the entity
A human-friendly name used as an identifier in APIs that support this option.
A human-friendly description.
Indicates if a storage class is default or not.
Indicates whether this storage class supports encryption or not.
A list of tags that represent the capabilities of this storage class
Map of storage properties that are to be applied on disk while provisioning.
The id of the region for which this profile is defined
Id of the cloud account this storage class belongs to.
Defines the priority of the storage class with the highest priority being 0. Defaults to the value of 1.
Defines filter type for adding storage objects (datastores) to the storage class. Defaults to INCLUDE_ALL.
The compute host Id to be associated with the storage class.
A set of tag keys and optional values to be set on datastores to be included in this storage class based on the storageFilterType: TAG_BASED.
invalid request - bad data
{
"message": "string",
"messageId": "string",
"stackTrace": [
"string"
],
"statusCode": 0,
"errorCode": 0,
"details": [
"string"
],
"serverErrorId": "string",
"documentKind": "string",
"internalErrorCode": 0
}
message
messageId
stackTrace
statusCode
errorCode
details
serverErrorId
documentKind
internalErrorCode
Forbidden
{
"message": "string",
"messageId": "string",
"stackTrace": [
"string"
],
"statusCode": 0,
"errorCode": 0,
"details": [
"string"
],
"serverErrorId": "string",
"documentKind": "string",
"internalErrorCode": 0
}
message
messageId
stackTrace
statusCode
errorCode
details
serverErrorId
documentKind
internalErrorCode
curl -X PUT -H 'Authorization: <value>' -H 'Content-Type: application/json' -d '{"defaultItem":"boolean","name":"string","regionId":"string"}' https://{api_host}/iaas/api/storage-profiles/{id}